Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.spi
Class AbstractPortletInvocationContext

    java.lang.Object
      org.jboss.portal.common.invocation.AbstractInvocationContext
          org.jboss.portal.portlet.impl.spi.AbstractPortletInvocationContext

All Implemented Interfaces:
  InvocationContext, PortletInvocationContext

Direct Known Subclasses:
  AbstractActionContext, AbstractRenderContext

    public abstract class AbstractPortletInvocationContext

extends AbstractInvocationContext
implements PortletInvocationContext

An abstract implementation that relies on the a request and response provided by the client (i.e the portal).

Version:
  $Revision: 5064 $
Author:
  Julien Viet

Field Summary
`protected MarkupInfo` | `markupInfo` .
`protected Mode` | `mode` .
`protected StateString` | `navigationalState` .
`protected WindowState` | `windowState` .

Constructor Summary
`protected` | `AbstractPortletInvocationContext(Mode mode, WindowState windowState, StateString navigationalState, MarkupInfo markupInfo)`

Method Summary
`java.lang.String` | `encodeResourceURL(java.lang.String url)` Validate the url and then delegate the encoding of the url to the client response.
`abstract javax.servlet.http.HttpServletRequest` | `getClientRequest()` Return the client request.
`abstract javax.servlet.http.HttpServletResponse` | `getClientResponse()` Return the client response.
`MarkupInfo` | `getMarkupInfo()` Return information about the underlying http wire this invocation is performed.
`Mode` | `getMode()` Returns the mode for this invocation.
`StateString` | `getNavigationalState()` Returns the navigational state for this invocation.
`WindowState` | `getWindowState()` Returns the window state for this invocation.

Methods inherited from class org.jboss.portal.common.invocation.AbstractInvocationContext
`addResolver, addResolver, getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.portlet.spi.PortletInvocationContext
`renderURL`

Methods inherited from interface org.jboss.portal.common.invocation.InvocationContext
`getAttribute, getAttributeResolver, removeAttribute, setAttribute`

Field Detail

### markupInfo

    protected MarkupInfo markupInfo

  .

### mode

    protected Mode mode

  .

### windowState

    protected WindowState windowState

  .

### navigationalState

    protected StateString navigationalState

  .

Constructor Detail

### AbstractPortletInvocationContext

    protected AbstractPortletInvocationContext(Mode mode,
                                               WindowState windowState,
                                               StateString navigationalState,
                                               MarkupInfo markupInfo)

Method Detail

### getClientRequest

    public abstract javax.servlet.http.HttpServletRequest getClientRequest()
                                                                    throws java.lang.IllegalStateException

  Return the client request.

  Returns:
    the client request
  Throws:
    `java.lang.IllegalStateException` - if the client response is not available

### getClientResponse

    public abstract javax.servlet.http.HttpServletResponse getClientResponse()
                                                                      throws java.lang.IllegalStateException

  Return the client response.

  Returns:
    the client response
  Throws:
    `java.lang.IllegalStateException` - if the client response is not available

### encodeResourceURL

    public java.lang.String encodeResourceURL(java.lang.String url)
                                       throws java.lang.IllegalArgumentException

  Validate the url and then delegate the encoding of the url to the client response.

  Specified by:
    `encodeResourceURL` in interface `PortletInvocationContext`
  Parameters:
    `url` - the url to be encoded
  Returns:
    the encoded url
  Throws:
    `java.lang.IllegalArgumentException` - if the url is not valid or null

### getMode

    public Mode getMode()

  Description copied from interface: `PortletInvocationContext`
  Returns the mode for this invocation.

  Specified by:
    `getMode` in interface `PortletInvocationContext`
  Returns:
    the mode

### getWindowState

    public WindowState getWindowState()

  Description copied from interface: `PortletInvocationContext`
  Returns the window state for this invocation.

  Specified by:
    `getWindowState` in interface `PortletInvocationContext`
  Returns:
    the window state

### getNavigationalState

    public StateString getNavigationalState()

  Description copied from interface: `PortletInvocationContext`
  Returns the navigational state for this invocation.

  Specified by:
    `getNavigationalState` in interface `PortletInvocationContext`
  Returns:
    the navigational state

### getMarkupInfo

    public MarkupInfo getMarkupInfo()

  Description copied from interface: `PortletInvocationContext`
  Return information about the underlying http wire this invocation is performed.

  Specified by:
    `getMarkupInfo` in interface `PortletInvocationContext`
  Returns:
    the stream info

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD